<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    var amigos =["Roberto","Luis","Carlos"];
    //agregar un nuevo valor a el arrglo
    //amigos[3]="Arturo";
    //metodos de una arreglo propiedad length
    //document.write("tienes "+amigos.length +" amigos");
    //es una buena prectica por si no sabes la cantidad o el ultimo de tu arreglo
    //amigos[amigos.length]="Daniel";
    //para agregar un nuevo valor push al final del arreglo
    //amigos.push("Arturo","Armando");
    //eliminamos el ultimo valor del arreglo .i.e Aramdno
    //amigos.pop();
   //con la sentenca concat agrega una arreglo con otro a uno nuevo
   var amigos1=["YESI","CARO","ALTAR"];
   var amigos2=amigos.concat(amigos1);
   //document.write(amigos2); 
   //join divide a el arreglo con los parametos que la metamos
   //amigos ordenados alfavaticamente sort()
   //reverse();
   var ordenados =amigos2.sort();
   document.write(ordenados.join(" : ")); 












    </script>
</body>
</html>